### Method

# WebKitWebProcessExtension WebProcessExtension send_message_to_context

since: 2.40

#### Declaration [src]

    void
    webkit_web_process_extension_send_message_to_context (
      WebKitWebProcessExtension* extension,
      WebKitUserMessage* message,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Send `message` to the `WebKitWebContext` corresponding to `extension`. If `message` is floating, it’s consumed.

If you don’t expect any reply, or you simply want to ignore it, you can pass `NULL` as `calback`. When the operation is finished, `callback` will be called. You can then call `webkit_web_process_extension_send_message_to_context_finish()` to get the message reply.

Available since: 2.40

This method completes asynchronously. Use `webkit_web_process_extension_send_message_to_context_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`message`

  Type: `WebKitUserMessage`

  A `WebKitUserMessage`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.